cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SLT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SLT

- All Implemented Interfaces:
    ISegment

      public class SLT
      extends Segment

  SLT - Sterilization Lot Segment

  The SLT segment defines requests, responses, and notifications of sterilization lots and supply item descriptions.

  Represents an HL7 SLT message segment. This segment has the following fields:

  SLT-1 : Device Number (EI) Optional
  SLT-2 : Device Name (ST) Optional
  SLT-3 : Lot Number (EI) Optional
  SLT-4 : Item Identifier (EI) Optional
  SLT-5 : Bar Code (ST) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLT()` Constructs the SLT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ST` | `getBarCode()` Retrieves the Bar Code.
    `ST` | `getDeviceName()` Retrieves the Device Name.
    `EI` | `getDeviceNumber()` Retrieves the Device Number.
    `EI` | `getItemIdentifier()` Retrieves the Item Identifier.
    `EI` | `getLotNumber()` Retrieves the Lot Number.
    `void` | `setBarCode(ST objBarCode)` Set the Bar Code.
    `void` | `setBarCode(java.lang.String strBarCode)` Set the Bar Code.
    `void` | `setDeviceName(ST objDeviceName)` Set the Device Name.
    `void` | `setDeviceName(java.lang.String strDeviceName)` Set the Device Name.
    `void` | `setDeviceNumber(EI objDeviceNumber)` Set the Device Number.
    `void` | `setDeviceNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Device Number.
    `void` | `setItemIdentifier(EI objItemIdentifier)` Set the Item Identifier.
    `void` | `setItemIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Item Identifier.
    `void` | `setLotNumber(EI objLotNumber)` Set the Lot Number.
    `void` | `setLotNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Lot Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLT

          public SLT()

      Constructs the SLT segment.

  - ### Method Detail

    - #### getDeviceNumber

          public EI getDeviceNumber()

      Retrieves the Device Number. The unique identifier of the device (assigned by user, not assigned by the software application; e.g.: 01).
      Returns:
        EI - deviceNumber

    - #### getDeviceName

          public ST getDeviceName()

      Retrieves the Device Name. The name of the device associated with the device number in SLT-1 (e.g., VAC).
      Returns:
        ST - deviceName

    - #### getLotNumber

          public EI getLotNumber()

      Retrieves the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Returns:
        EI - lotNumber

    - #### getItemIdentifier

          public EI getItemIdentifier()

      Retrieves the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Instrument-tracking software application to identify the item being sterilized or decontaminated.
      Returns:
        EI - itemIdentifier

    - #### getBarCode

          public ST getBarCode()

      Retrieves the Bar Code. The special identification code, printed as a set of vertical bars of differing widths, used on instruments to identify them and provide for rapid, error-free input by a barcode scanning device.
      Returns:
        ST - barCode

    - #### setDeviceNumber

          public void setDeviceNumber(java.lang.String strEntityIdentifier,
                             java.lang.String strNamespaceId,
                             java.lang.String strUniversalId,
                             java.lang.String strUniversalIdType)

      Set the Device Number. The unique identifier of the device (assigned by user, not assigned by the software application; e.g.: 01).
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setDeviceNumber

          public void setDeviceNumber(EI objDeviceNumber)

      Set the Device Number. The unique identifier of the device (assigned by user, not assigned by the software application; e.g.: 01).
      Parameters:
        `objDeviceNumber` - Object of Device Number

    - #### setDeviceName

          public void setDeviceName(java.lang.String strDeviceName)

      Set the Device Name. The name of the device associated with the device number in SLT-1 (e.g., VAC).
      Parameters:
        `strDeviceName` - Used as Device Name.

    - #### setDeviceName

          public void setDeviceName(ST objDeviceName)

      Set the Device Name. The name of the device associated with the device number in SLT-1 (e.g., VAC).
      Parameters:
        `objDeviceName` - Object of Device Name.

    - #### setLotNumber

          public void setLotNumber(java.lang.String strEntityIdentifier,
                          java.lang.String strNamespaceId,
                          java.lang.String strUniversalId,
                          java.lang.String strUniversalIdType)

      Set the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setLotNumber

          public void setLotNumber(EI objLotNumber)

      Set the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Parameters:
        `objLotNumber` - Object of Lot Number

    - #### setItemIdentifier

          public void setItemIdentifier(java.lang.String strEntityIdentifier,
                               java.lang.String strNamespaceId,
                               java.lang.String strUniversalId,
                               java.lang.String strUniversalIdType)

      Set the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Instrument-tracking software application to identify the item being sterilized or decontaminated.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setItemIdentifier

          public void setItemIdentifier(EI objItemIdentifier)

      Set the Item Identifier. The Item Identifier is a unique code assigned to the material item by the Instrument-tracking software application to identify the item being sterilized or decontaminated.
      Parameters:
        `objItemIdentifier` - Object of Item Identifier

    - #### setBarCode

          public void setBarCode(java.lang.String strBarCode)

      Set the Bar Code. The special identification code, printed as a set of vertical bars of differing widths, used on instruments to identify them and provide for rapid, error-free input by a barcode scanning device.
      Parameters:
        `strBarCode` - Used as Bar Code

    - #### setBarCode

          public void setBarCode(ST objBarCode)

      Set the Bar Code. The special identification code, printed as a set of vertical bars of differing widths, used on instruments to identify them and provide for rapid, error-free input by a barcode scanning device.
      Parameters:
        `objBarCode` - Object of Bar Code

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails